Events (Admin)
Update stage (Admin)
PUT
/manage/events/:eventId/stages/:stageIdUpdate a stage. Requires the stagesWrite permission.
| Auth | Login required |
|---|
Path parameters
eventIdstringrequiredEvent ID or slug.
stageIdstringrequiredStage ID; must belong to the same event.
Request body
namestringoptionalStage name (required); no length limit.
descriptionstringoptionalDescription.
Localized name / description.
capacitynumberoptionalCapacity; an integer of 1 or more.
Response
Returns Stage.
Request
curl https://api.4s.link/manage/events/EVENT_ID/stages/STAGE_ID \-X PUT \-H "Authorization: Bearer 4s_at_..." \-H "Content-Type: application/json" \-d '{"name": "Main Hall (A)","capacity": 320}'
Example response
{"id": "sg1a2b3c-...","name": "Main Hall","description": "...","capacity": 300,"order": 0}